
Katello - Bug #5603

system-group (host-collection) - this doesn't appear to be a way to update a system group

05/06/2014 08:52 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There doesn't appear to be a way to update a system group.  For example, update name, description, max, group membership...etc.

(Note: system-group is currently in the process of renamed to host-collection)

E.g.

hammer> system-group --help

Usage:

system-group [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:

SUBCOMMAND                    subcommand

[ARG] ...                     subcommand arguments

Subcommands:

copy

create                        Create a system group

delete                        Destroy a system group

info                          Show a system group

list                          List system groups

Options:

-h, --help                    print help

hammer>

Associated revisions

Revision 04fe0a8d - 05/09/2014 05:45 PM - Brad Buckingham

fixes #5601, #5603 - host-collections: add support for update and add/remove-content-host

This commits add support for the following commands:

host-collection update

host-collection add-content-host

host-collection remove-content-host

Revision 8bba2091 - 05/09/2014 05:50 PM - Brad Buckingham

refs #5601, #5603 - host collections - updates to support cli

This commit contains a couple of minor changes to help

support the cli host-collection update, add-content-host

and remove-content-host commands.  They will also be useful

for API users.

Revision 4a1ce345 - 05/12/2014 12:15 PM - Brad Buckingham

Merge pull request #4065 from bbuckingham/issue-5601
refs #5601, #5603 - host collections - updates to support cli

Revision 0e0fedee - 05/12/2014 01:46 PM - Brad Buckingham

Merge pull request #163 from bbuckingham/issue-5601

fixes #5601, #5603 - host-collections: add support for update & add/remove-content-host

History

#1 - 05/09/2014 05:45 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 44

- Triaged changed from No to Yes

#2 - 05/12/2014 02:06 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:04fe0a8dcc5b501756c702da8e656fef6ad2520e.

#3 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
